/// <reference types="node" />
/// <reference types="node" />
import { InheritDef, TypegraphOutput } from "../typegraph.js";
import { ReducePath } from "../gen/typegraph_core";
import { SerializeParams } from "../gen/typegraph_core";
export declare function stringifySymbol(symbol: symbol): string;
export declare function serializeRecordValues<T>(obj: Record<string, T>): Array<[string, string]>;
export declare function buildReduceData(node: InheritDef | unknown, paths?: ReducePath[], currPath?: string[]): ReducePath[];
export declare function getEnvVariable(key: string, defaultValue?: string): string | undefined;
export declare function getAllEnvVariables(): any;
/** Create a reusable version of a `TypegraphOutput` */
export declare function freezeTgOutput(config: SerializeParams, tgOutput: TypegraphOutput): TypegraphOutput;
/**
 * Simple fetch wrapper with more verbose errors
 */
export declare function execRequest(url: URL, reqInit: RequestInit, errMsg: string): Promise<unknown>;
